Skip to content
SynupAPI
Get an API key
POSTapi.synup.com/api/v4/local-post-ideas/update-idea

Update local idea

Updates an existing post idea's editable fields — title, content, status, call-to-action, scheduling, bucket, note, and target platforms. Only the fields you send are changed.

Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Parameters

Headers

NameTypeRequiredDescription
Synup-VersionstringrequiredAPI version date (YYYY-MM-DD).

Body

NameTypeRequiredDescription
ideaIdstringrequired
titlestringoptional
contentstringoptional
statusstringoptional
ctaTextstringoptional
ctaUrlstringoptional
scheduledDatestringoptional
scheduledTimestringoptional
bucketstringoptional
notestringoptional
platformsarray of stringoptional

Request

Request
curl -X POST 'https://api.synup.com/api/v4/local-post-ideas/update-idea' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "ideaId": "91b2...",
  "title": "Weekend Sale!",
  "status": "scheduled",
  "scheduledDate": "2026-05-01"
}'

Responses

StatusDescription
200Successful response
401Unauthorized - Invalid or missing API key
Example response (generated from the schema)
{
  "data": {
    "updateLocalIdea": {
      "success": true,
      "idea": {},
      "error": {
        "message": "string",
        "code": "string",
        "contextInfo": [
          {
            "key": "string",
            "value": "string"
          }
        ]
      }
    }
  }
}

Response body

NameTypeRequiredDescription
dataobjectoptional
data.updateLocalIdeaobjectoptional
data.updateLocalIdea.successbooleanoptional
data.updateLocalIdea.ideaobjectoptionalThe updated post idea (see Local post idea for the full shape).
data.updateLocalIdea.errorobjectoptional
data.updateLocalIdea.error.messagestringoptional
data.updateLocalIdea.error.codestringoptional
data.updateLocalIdea.error.contextInfoarray of objectoptional
data.updateLocalIdea.error.contextInfo[].keystringoptional
data.updateLocalIdea.error.contextInfo[].valuestringoptional